> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Search GSTIN Details

> Search taxpayer details by GSTIN in the invoice registration portal (IRP) database. The response is from the IRP and not from the GST Network.

#### Request body schema

<Card title="View request body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/e-invoice/search_gstin.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json POST /gst/compliance/e-invoice/tax-payer/gstin/search
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/e-invoice/tax-payer/gstin/search:
    post:
      tags:
        - e-Invoice1
      summary: Search GSTIN Details
      operationId: searchGstin1
      parameters:
        - name: authorization
          in: header
          description: >-
            E-Invoice access token. For token-generation steps, refer to the
            [Generate E-Invoice
            Session](/recipes/gst/authentication/generate_e_invoice_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - gstin
              properties:
                gstin:
                  type: string
                  description: GSTIN of the taxpayer
            examples:
              200 GSTIN details fetched:
                value:
                  gstin: 29AAACQ3770E000
                summary: 200 GSTIN details fetched
              3001 Data not available:
                value:
                  gstin: 24AAACQ3770E005
                summary: 3001 Data not available
      responses:
        '200':
          description: 200 GSTIN details fetched / 3001 Data not available
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      Data:
                        type: object
                        properties:
                          AddrBnm:
                            type: string
                            nullable: true
                            example: null
                          AddrBno:
                            type: string
                            nullable: true
                            example: null
                          AddrFlno:
                            type: string
                            nullable: true
                            example: null
                          AddrLoc:
                            type: string
                            nullable: true
                            example: null
                          AddrPncd:
                            type: number
                            example: 560009
                          AddrSt:
                            type: string
                            nullable: true
                            example: null
                          BlkStatus:
                            type: string
                            example: U
                          DtDReg:
                            type: string
                            nullable: true
                            example: null
                          DtReg:
                            type: string
                            nullable: true
                            example: null
                          Gstin:
                            type: string
                            example: 29AAACQ3770E000
                          LegalName:
                            type: string
                            example: Acme Industries Private Limited
                          StateCode:
                            type: number
                            example: 0
                          Status:
                            type: string
                            example: ACT
                          TradeName:
                            type: string
                            nullable: true
                            example: null
                          TxpType:
                            type: string
                            example: REG
                        nullable: true
                      ErrorDetails:
                        type: array
                        items:
                          type: object
                          properties:
                            ErrorCode:
                              type: string
                            ErrorMessage:
                              type: string
                        nullable: true
                        example:
                          - ErrorCode: '2154'
                            ErrorMessage: IRN details are not found
                      InfoDtls:
                        type: array
                        items:
                          type: object
                          properties:
                            InfoCode:
                              type: string
                            InfoMessage:
                              type: string
                        nullable: true
                        example: null
                      Status:
                        type: number
                        example: 1
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: 7e7d3212-4a44-4c75-8a2a-39b34d4a826f
              examples:
                200 GSTIN details fetched:
                  summary: 200 GSTIN details fetched
                  value:
                    code: 200
                    data:
                      Data:
                        AddrBnm: null
                        AddrBno: null
                        AddrFlno: null
                        AddrLoc: null
                        AddrPncd: 560009
                        AddrSt: null
                        BlkStatus: U
                        DtDReg: null
                        DtReg: null
                        Gstin: 29AAACQ3770E000
                        LegalName: Acme Industries Private Limited
                        StateCode: 0
                        Status: ACT
                        TradeName: null
                        TxpType: REG
                      ErrorDetails: null
                      InfoDtls: null
                      Status: 1
                    timestamp: 1763446641000
                    transaction_id: 7e7d3212-4a44-4c75-8a2a-39b34d4a826f
                3001 Data not available:
                  summary: 3001 Data not available
                  value:
                    code: 200
                    data:
                      Data: null
                      ErrorDetails:
                        - ErrorCode: '3001'
                          ErrorMessage: Requested data is not available
                      InfoDtls: null
                      Status: 0
                    timestamp: 1763446641000
                    transaction_id: 77e59a2a-5e4c-4eb6-843e-f96f62b6e696
          headers: {}
      deprecated: false
      security: []

````